Bug 448892 - internal compiler error: in simplify_subreg, at simplify-rtx.c:3367
internal compiler error: in simplify_subreg, at simplify-rtx.c:3367
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gcc (Show other bugs)
4.7
s390x Linux
low Severity low
: rc
: ---
Assigned To: Jakub Jelinek
:
: 490498 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-29 07:16 EDT by Petr Muller
Modified: 2016-09-19 22:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:12:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
preprocessed source (229.78 KB, text/plain)
2008-05-29 07:17 EDT, Petr Muller
no flags Details

  None (edit)
Description Petr Muller 2008-05-29 07:16:53 EDT
Description of problem:
When running CSiBE benchmark as part of GCC errata testing, one of it's parts 
triggers an internal compiler error on s390x. It's a part of 2.4 kernel, and 
I've reduced offending file to this:

#define __KERNEL_SYSCALLS__
#include <linux/sched.h>
#include <linux/unistd.h>
#include <linux/smp_lock.h>
int exec_usermodehelper(char *program_path, char *argv[], char *envp[])
{
        int i;
        struct task_struct *curtask = current;
        for (i = 0; i < curtask->files->max_fds; i++ ) if (curtask->files->fd
[i]) close(i);
        return 0;
}

Version-Release number of selected component (if applicable):
gcc-3.4.6-10.s390x (RHEL4.7 gcc)
gcc-3.4.6-9.s390x (RHEL4.6 gcc)

How reproducible:
always

Steps to Reproduce:
1. gcc -c  -D__KERNEL__ -DCONFIG_ARCH_S390X -I/tmp/gcctest/CSiBE/bin/ICE/
linux-2.4.23-pre3-testplatform/include -w -Os -nostdinc -iwithprefix include 
kmod.c 

^^^ this is reduced line taken from the CSiBE run. I'll attach a preprocessed 
source.
 
Actual results:
kmod.c: In function `exec_usermodehelper':
kmod.c:11: internal compiler error: in simplify_subreg, at simplify-rtx.c:3367

Expected results:
compile

Additional info:
any optimization option triggers this, with -O0 it compiles well
Comment 1 Petr Muller 2008-05-29 07:17:52 EDT
Created attachment 307031 [details]
preprocessed source
Comment 2 Michal Nowak 2010-12-09 10:47:56 EST
*** Bug 490498 has been marked as a duplicate of this bug. ***
Comment 3 Jiri Pallich 2012-06-20 12:12:04 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.